﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Chan Delay IEEE /9500+2Hd
DATE:                  2010-08-18 08:26:29
AUTHOR:                Fluke
REVISION:              $Revision: 1.7 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       97
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tek_tds5000b_1yr_chan_delay_ieee_9500_2hd.txt,v $
#    $Date: 2009/07/01 14:28:02 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#
#  Model(s) Covered:
#        2 Ch TDS5000B Series: TDS 5032B, TDS 5052B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Read Time by Cursor Walker IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# 9500, two same type Active Heads:
# In the subsequent Channel delay tests, the 9500 dual leveled sine mode
# is used to supply an identical signal level simultaneously to the Channel 1
# and Channel 2 inputs for 2 Channel models or Channel 1 and in turn to the
# Channel 2, 3, 4 inputs for 4 Channels models.

  1.001  RSLT         =
  1.002  HEAD         {CHECK DELAY BETWEEN CHANNELS}
  1.003  TARGET
  1.004  TSET         NTHROW = 0; NMEAS = 1
  1.005  CALL         Sub Tek TDS5000B Channel Select IEEE
  1.006  IEEE2        SELECT:CH2 ON
  1.007  IEEE2        CH1:TER 50;SCA 100E-3
  1.007  IEEE2        CH2:TER 50;SCA 100E-3
  1.008  IEEE2        ACQ:MODE AVE;NUMAV 16
  1.009  IEEE2        HOR:SCA 500E-12

# 9500 works in dual sine mode and result in Channel 1 and Channel 2
# 8 division waveform on the screen with vertical attenuation set to
# 100 mV/div.
  1.010  M9500                       CH12
  1.011  9500         800mVpp                      250MH          LS    S  L
  1.012  IEEE2        HOR:SCA 200E-12

# Get the horizontal time of Channel 1 when the waveform cross the zero.
  1.013  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 CH1;STATE ON
  1.014  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  1.015  MATH         L[1] = @TimeVal

# Get the horizontal time of Channel 2 when the waveform cross the zero.
  1.016  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 CH2;STATE ON
  1.017  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  1.018  MATH         L[2] = @TimeVal

# Calculate the maximum delay between two Channels
  1.019  MATH         MEM = (MAX_L(1, 2) - MIN_L(1, 2)) / 1E-12
# 25 ps is 9500 Dual Leveled-sine Head-to-Head time accuracy.
  1.020  ACC          ps             25U
  1.021  MEMCX        0.0ps          +100U

  2.001  HEAD
  2.002  M9500        *
  2.003  9500         *                                                 S
  2.004  END

