﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5052B: (1 year) CAL VER IEEE /9500+2Hd
DATE:                  2010-08-18 08:25:36
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       288
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5052b_1yr_ver_ieee_9500_2hd.txt,v $
#    $Date: 2010/08/18 15:16:49 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5052B
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500
#        Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500
#        Sub Tek TDS5000B (1 yr) Channel Delay IEEE /9500
#        Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500
#        Sub Tek TDS5000B (1 yr) Trig Sens IEEE /9500
#        Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /9500
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /9500
#        Sub Tek TDS5000B (1 yr) Chan Delay IEEE /9500+2Hd
#        Sub Datron 9500 Configuration Query IEEE
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  :  TDS5032B
#        Serial No :  B020452
#        Options   :
#        Firmware  :  CF:91.1CT FV:2.0.11
#
# Average run time during testing :  25 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  MATH         @ReqMetCalVersion = "7.20x"
  1.010  CALL         Sub MET/CAL Version Check

  1.011  IF           NOT(@MetCalVersionOK)
  1.012  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.012  DISP         later.
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Verification Method

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         20 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  CALL         Sub Tek TDS5000B Setup IEEE
  1.023  IEEE2        *RST

  1.024  HEAD         UUT IDENTIFICATION
  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.026  MATH         @UUT_Manufacturer = "TEKTRONIX"; @UUT_Model = "TDS5052B"
  1.027  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.028  IF           @Abort
  1.029  END
  1.030  ENDIF

  1.031  CALL         Sub Datron 9500 Configuration Query IEEE

# If 9500 Active Heads are all the same type, use Dual Channel Leveled-Sine
# for channel delay tests.
  1.032  MATH         UseDualChanLS = ZCMPI(@HeadTypeCh1, @HeadTypeCh2)

  1.033  HEAD         EQUIPMENT REQUIREMENTS

  1.034  IF           UseDualChanLS
  1.035  DISP         The following additional equipment and/or
  1.035  DISP         accessories are required:
  1.035  DISP
  1.035  DISP         - BNC T(f-m-f) adapter
  1.035  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.035  DISP         - SMA T(f-m-f) adapter
  1.035  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.035  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.035  DISP         - 2 sets SMA Short
  1.035  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245
  1.036  ELSE
  1.037  DISP         The following additional equipment and/or
  1.037  DISP         accessories are required:
  1.037  DISP
  1.037  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.037  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.037  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.037  DISP         - BNC T(f-m-f) adapter
  1.037  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.037  DISP         - SMA T(f-m-f) adapter
  1.037  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.037  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.037  DISP         - 2 sets SMA Short
  1.037  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245
  1.038  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    6.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    7.   CHANNEL DELAY                      CHANNEL ISOLATION(CH1 IN)
#    8.   CHANNEL ISOLATION(CH1 IN)          CHANNEL ISOLATION(CH2 IN)
#    9.   CHANNEL ISOLATION(CH2 IN)          SAMPLE RATE AND DELAY TIME ACC
#   10.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   11.   DELTA TIME MEASUREMENT ACC(CH1)    CHANNEL DELAY
#   12.   DELTA TIME MEASUREMENT ACC(CH2)    EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH1)
#   14.   EDGE-TRIGGER SENSITIVITY(CH1)      DELTA TIME MEASUREMENT ACC(CH2)
#   15.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.039  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.040  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.041  JMPL         END                          @Abort

  1.042  MATH         @SPCTime = 400
  1.043  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.044  JMPL         END                          @Abort

  1.045  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.046  DISP         Connect the 9500 to the UUT as follows:
  1.046  DISP         [32] CH 1 Active Head to UUT CH 1
  1.046  DISP         [32] CH 2 Active Head to UUT CH 2

  1.047  MATH         @Chan = 1
  1.048  M9500                       CH1
  1.049  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500

  1.050  MATH         @Chan = 2
  1.051  M9500                       CH2
  1.052  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500

  1.053  MATH         @Chan = 1
  1.054  M9500                       CH1
  1.055  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500
  1.056  JMPL         CHANNELS_ISOLATION_CH1

  1.057  LABEL        CHANNEL_DELAY
  1.058  MATH         @Chan = 1

  1.059  IF           UseDualChanLS
  1.060  CALL         Sub Tek TDS5000B (1 yr) Chan Delay IEEE /9500+2Hd
  1.061  ELSE
  1.062  M9500                       CH1
  1.063  CALL         Sub Tek TDS5000B (1 yr) Channel Delay IEEE /9500
  1.064  ENDIF

  1.065  JMPL         TRIG_SENS_CH1

  1.066  LABEL        CHANNELS_ISOLATION_CH1
  1.067  MATH         @Chan = 1
  1.068  M9500                       CH1
  1.069  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500

  1.070  MATH         @Chan = 2
  1.071  M9500                       CH2
  1.072  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500

  1.073  MATH         @Chan = 1
  1.074  M9500                       CH1
  1.075  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /9500
  1.076  JMPL         TRIG_CH1

  1.077  LABEL        DELTA_TIME_CH1
  1.078  MATH         @Chan = 1
  1.079  M9500                       CH1
  1.080  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500

  1.081  MATH         @Chan = 2
  1.082  M9500                       CH1
  1.083  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500
  1.084  JMPL         PROBE_COMPENSATION_OUT

  1.085  LABEL        TRIG_CH1
  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /9500
  1.089  JMPL         CHANNEL_DELAY

  1.090  LABEL        TRIG_SENS_CH1
  1.091  MATH         @Chan = 1
  1.092  M9500                       CH1
  1.093  CALL         Sub Tek TDS5000B (1 yr) Trig Sens IEEE /9500
  1.094  JMPL         DELTA_TIME_CH1

  1.095  LABEL        PROBE_COMPENSATION_OUT
  1.096  MATH         @Chan = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /9500

  1.099  LABEL        END
  1.100  IEEE2        *RST
  1.101  RSLT         =

  1.102  IF           @Abort
  1.103  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.104  ELSE
  1.105  HEAD         {V E R I F I C A T I O N   C O M P L E T E !}
  1.106  ENDIF

  1.107  END
